Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class BLHierarchyInfo

    java.lang.Object
      jet.api.BLHierarchyInfo

    public class BLHierarchyInfo

extends java.lang.Object

The BLHierarchyInfo defines the `Hierarchy` object of JReport BusinessLogic. The BusinessLogic of JReport is also called `Business cube` or `Report cube`.

Hierarchies can be defined in a business/report cube to allow users to drill report data down to particular dimensions in JReport Viewer.

Constructor Summary
`BLHierarchyInfo(java.lang.String name)` Constructor.

Method Summary
`boolean` | `containsDimension(java.lang.String dimName)` Checks if a dimension is contained in this Hierarchy.
`java.lang.String` | `getDescription()` Gets the description of Hierarchy.
`java.lang.String[]` | `getDimensionQualifyNames()` Gets Dimensions' qualified name contained in this Hierarchy.
`java.lang.String` | `getName()` Gets the name of Hierarchy.
`void` | `setDescription(java.lang.String description)` Sets the description of Hierarchy.
`void` | `setDimensions(java.lang.String[] dimQualifyName)` Sets Dimensions that are contained in this Hierarchy.
`void` | `setName(java.lang.String name)` Sets the name of Hierarchy.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BLHierarchyInfo

    public BLHierarchyInfo(java.lang.String name)

  Constructor. Creates a definition of JReport BusinessLogic Hierarchy object.

  Parameters:
    `name` - Indicates Hierarchy name.

Method Detail

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of Hierarchy.

  Parameters:
    `description` - The description of Hierarchy.

### getDescription

    public java.lang.String getDescription()

  Gets the description of Hierarchy.

  Returns:
    The description of Hierarchy.

### setName

    public void setName(java.lang.String name)

  Sets the name of Hierarchy.

  Parameters:
    `name` - The name of Hierarchy.

### getName

    public java.lang.String getName()

  Gets the name of Hierarchy.

  Returns:
    the name of Hierarchy.

### setDimensions

    public void setDimensions(java.lang.String[] dimQualifyName)

  Sets Dimensions that are contained in this Hierarchy.

  Parameters:
    `dimQualifyName` - All dimensions' qualified name.

### getDimensionQualifyNames

    public java.lang.String[] getDimensionQualifyNames()

  Gets Dimensions' qualified name contained in this Hierarchy.

  Returns:
    all dimensions' name.

### containsDimension

    public boolean containsDimension(java.lang.String dimName)

  Checks if a dimension is contained in this Hierarchy.

  Parameters:
    `dimName` - The dimension's BLQualifyName.
  Returns:
    `true` if this Hierarchy contains the dimension, otherwise returns `false`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD